<template>
    <!-- 弹出框表单 -->
    <el-dialog :title="title" :visible.sync="open" width="90%" append-to-body>
        <el-form ref="form" :model="form" :rules="rules" label-width="120px">
            <el-row>
                                            <Field label="关怀类型" prop="careType" v-model="form.careType" type="select" :enumData="dict.careType" placeholder="请选择关怀类型"/>
                            <Field label="是否短信提示" prop="sms" v-model="form.sms" type="select" :enumData="dict.sms" placeholder="请选择是否短信提示"/>
                            <Field label="短信模板内容" prop="smsTemplate" v-model="form.smsTemplate" type="textarea" placeholder="请输入短信模板内容"/>

            </el-row>

        </el-form>
        <div slot="footer" class="dialog-footer">
            <el-button type="primary" v-if="pageInfo.type !== 'view'" @click="submitForm">确 定</el-button>
            <el-button @click="cancel">取 消</el-button>
        </div>
    </el-dialog>
</template>

<script>
    import form from "@/assets/mixins/formdialog";
    import dialogShow from "./dialogshow";
    export default {
        mixins: [form],
        components: {
            dialogShow ,
        },
        data() {
            return {
                // 遮罩层
                loading: true,
                // 弹出层标题
                title: "关怀问候信息",
                // 是否显示弹出层
                open: false,
                toString:[
                    "careType",
                    "sms",
                ],
                // 表单校验
                rules: {
                    createTime: [
                        {required: true,message: "请选择创建时间" },
                    ],
                }
            };
        },

        methods: {
            /** 编辑 */
            edit(row) {
                this.reset()
                this.query = { id: row.id };
                this.urls.currUrl ="care/template/edit";
                this.getData();
                this.pageInfo.type="edit"
                this.title = "修改关怀问候信息";
            },
            /** 新增 */
            add(row) {
                this.reset()
                this.urls.currUrl = "care/template/add";
                this.getData();
                this.pageInfo.type="add"
                this.title = "新增关怀问候信息";
            },
            /** 查看*/
            view(row) {
                this.reset()
                this.query = { id: row.id };
                this.urls.currUrl ="care/template/view";
                this.getData();
                this.pageInfo.type="view"
                this.title = "关怀问候信息详细";
            },
            /**取消按钮 */
            cancel() {
                this.open = false;
            },
            /**获取数据后弹框 */
            afterRender(data) {
                this.open = true;
            },

            afterSubmit(data) {
                this.open = false;
                this.$emit("ok");
            },

            // 表单重置
            reset() {
                this.form = {
                    careType : 1,
                    sms : 1,
                    smsTemplate : "",
                };
                this.resetForm("form");
            },
            resetForm(refName) {
                if (this.$refs[refName]) {
                    this.$refs[refName].resetFields();
                }
            },
        },
    };
</script>
